function tMMgrid (LogFile)

addpath('..');
addpath('../..')

if (nargin == 0)
  LogFile = [];
end
StopDiaryFile = StartDiaryFile(LogFile, 'tMMgrid.ref');

[BSpec(1:2).Freq]  = deal([0 0.04 0.08], [0.16 0.5]);
[BSpec(1:2).Value] = deal([1 1.2 1], 0);
BSpec(1).ValueInt = 'log';

% Set the filter type
FCase = 4;
NPar = 16;
SFreq = 1;
GridD = 10;

% Assemble the filter specifications into band-by-band structures
B = MMBSpec(BSpec, SFreq);

% Convert to a specification on a dense grid of frequencies
GB = MMgrid(FCase, NPar, B, GridD);
plot(GB.FGrid, GB.V, 'bo');

PrMatrix('Values subsampled', GB(1).V(1:5:end));

figure;
Fcent = 0.5*(GB.FGrid(1:end-1)+GB.FGrid(2:end));
dF = diff(GB.FGrid);
plot(Fcent, dF, 'bo');

% ----------
StopDiaryFile();

return